Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network225.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
225.160.0.0
Broadcast address
225.191.255.255
First usable
225.160.0.1
Last usable
225.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E1A00000 · Integer 3785359360 to 3787456511
Reverse DNS zones
160.225.in-addr.arpa
161.225.in-addr.arpa
162.225.in-addr.arpa
163.225.in-addr.arpa
164.225.in-addr.arpa
165.225.in-addr.arpa
166.225.in-addr.arpa
167.225.in-addr.arpa
168.225.in-addr.arpa
169.225.in-addr.arpa
170.225.in-addr.arpa
171.225.in-addr.arpa
172.225.in-addr.arpa
173.225.in-addr.arpa
174.225.in-addr.arpa
175.225.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100001.10100000.00000000.00000000225.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11100001.10100000.00000000.00000000225.160.0.0
Broadcast11100001.10111111.11111111.11111111225.191.255.255
Split into smaller subnets/20

225.160.0.0/11 makes 512 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1225.160.0.0/20225.160.0.1 to 225.160.15.254225.160.15.2554,094
2225.160.16.0/20225.160.16.1 to 225.160.31.254225.160.31.2554,094
3225.160.32.0/20225.160.32.1 to 225.160.47.254225.160.47.2554,094
4225.160.48.0/20225.160.48.1 to 225.160.63.254225.160.63.2554,094
5225.160.64.0/20225.160.64.1 to 225.160.79.254225.160.79.2554,094
6225.160.80.0/20225.160.80.1 to 225.160.95.254225.160.95.2554,094
7225.160.96.0/20225.160.96.1 to 225.160.111.254225.160.111.2554,094
8225.160.112.0/20225.160.112.1 to 225.160.127.254225.160.127.2554,094
9225.160.128.0/20225.160.128.1 to 225.160.143.254225.160.143.2554,094
10225.160.144.0/20225.160.144.1 to 225.160.159.254225.160.159.2554,094
11225.160.160.0/20225.160.160.1 to 225.160.175.254225.160.175.2554,094
12225.160.176.0/20225.160.176.1 to 225.160.191.254225.160.191.2554,094
13225.160.192.0/20225.160.192.1 to 225.160.207.254225.160.207.2554,094
14225.160.208.0/20225.160.208.1 to 225.160.223.254225.160.223.2554,094
15225.160.224.0/20225.160.224.1 to 225.160.239.254225.160.239.2554,094
16225.160.240.0/20225.160.240.1 to 225.160.255.254225.160.255.2554,094
17225.161.0.0/20225.161.0.1 to 225.161.15.254225.161.15.2554,094
18225.161.16.0/20225.161.16.1 to 225.161.31.254225.161.31.2554,094
19225.161.32.0/20225.161.32.1 to 225.161.47.254225.161.47.2554,094
20225.161.48.0/20225.161.48.1 to 225.161.63.254225.161.63.2554,094
21225.161.64.0/20225.161.64.1 to 225.161.79.254225.161.79.2554,094
22225.161.80.0/20225.161.80.1 to 225.161.95.254225.161.95.2554,094
23225.161.96.0/20225.161.96.1 to 225.161.111.254225.161.111.2554,094
24225.161.112.0/20225.161.112.1 to 225.161.127.254225.161.127.2554,094
25225.161.128.0/20225.161.128.1 to 225.161.143.254225.161.143.2554,094
26225.161.144.0/20225.161.144.1 to 225.161.159.254225.161.159.2554,094
27225.161.160.0/20225.161.160.1 to 225.161.175.254225.161.175.2554,094
28225.161.176.0/20225.161.176.1 to 225.161.191.254225.161.191.2554,094
29225.161.192.0/20225.161.192.1 to 225.161.207.254225.161.207.2554,094
30225.161.208.0/20225.161.208.1 to 225.161.223.254225.161.223.2554,094
31225.161.224.0/20225.161.224.1 to 225.161.239.254225.161.239.2554,094
32225.161.240.0/20225.161.240.1 to 225.161.255.254225.161.255.2554,094
33225.162.0.0/20225.162.0.1 to 225.162.15.254225.162.15.2554,094
34225.162.16.0/20225.162.16.1 to 225.162.31.254225.162.31.2554,094
35225.162.32.0/20225.162.32.1 to 225.162.47.254225.162.47.2554,094
36225.162.48.0/20225.162.48.1 to 225.162.63.254225.162.63.2554,094
37225.162.64.0/20225.162.64.1 to 225.162.79.254225.162.79.2554,094
38225.162.80.0/20225.162.80.1 to 225.162.95.254225.162.95.2554,094
39225.162.96.0/20225.162.96.1 to 225.162.111.254225.162.111.2554,094
40225.162.112.0/20225.162.112.1 to 225.162.127.254225.162.127.2554,094
41225.162.128.0/20225.162.128.1 to 225.162.143.254225.162.143.2554,094
42225.162.144.0/20225.162.144.1 to 225.162.159.254225.162.159.2554,094
43225.162.160.0/20225.162.160.1 to 225.162.175.254225.162.175.2554,094
44225.162.176.0/20225.162.176.1 to 225.162.191.254225.162.191.2554,094
45225.162.192.0/20225.162.192.1 to 225.162.207.254225.162.207.2554,094
46225.162.208.0/20225.162.208.1 to 225.162.223.254225.162.223.2554,094
47225.162.224.0/20225.162.224.1 to 225.162.239.254225.162.239.2554,094
48225.162.240.0/20225.162.240.1 to 225.162.255.254225.162.255.2554,094
49225.163.0.0/20225.163.0.1 to 225.163.15.254225.163.15.2554,094
50225.163.16.0/20225.163.16.1 to 225.163.31.254225.163.31.2554,094
51225.163.32.0/20225.163.32.1 to 225.163.47.254225.163.47.2554,094
52225.163.48.0/20225.163.48.1 to 225.163.63.254225.163.63.2554,094
53225.163.64.0/20225.163.64.1 to 225.163.79.254225.163.79.2554,094
54225.163.80.0/20225.163.80.1 to 225.163.95.254225.163.95.2554,094
55225.163.96.0/20225.163.96.1 to 225.163.111.254225.163.111.2554,094
56225.163.112.0/20225.163.112.1 to 225.163.127.254225.163.127.2554,094
57225.163.128.0/20225.163.128.1 to 225.163.143.254225.163.143.2554,094
58225.163.144.0/20225.163.144.1 to 225.163.159.254225.163.159.2554,094
59225.163.160.0/20225.163.160.1 to 225.163.175.254225.163.175.2554,094
60225.163.176.0/20225.163.176.1 to 225.163.191.254225.163.191.2554,094
61225.163.192.0/20225.163.192.1 to 225.163.207.254225.163.207.2554,094
62225.163.208.0/20225.163.208.1 to 225.163.223.254225.163.223.2554,094
63225.163.224.0/20225.163.224.1 to 225.163.239.254225.163.239.2554,094
64225.163.240.0/20225.163.240.1 to 225.163.255.254225.163.255.2554,094
65225.164.0.0/20225.164.0.1 to 225.164.15.254225.164.15.2554,094
66225.164.16.0/20225.164.16.1 to 225.164.31.254225.164.31.2554,094
67225.164.32.0/20225.164.32.1 to 225.164.47.254225.164.47.2554,094
68225.164.48.0/20225.164.48.1 to 225.164.63.254225.164.63.2554,094
69225.164.64.0/20225.164.64.1 to 225.164.79.254225.164.79.2554,094
70225.164.80.0/20225.164.80.1 to 225.164.95.254225.164.95.2554,094
71225.164.96.0/20225.164.96.1 to 225.164.111.254225.164.111.2554,094
72225.164.112.0/20225.164.112.1 to 225.164.127.254225.164.127.2554,094
73225.164.128.0/20225.164.128.1 to 225.164.143.254225.164.143.2554,094
74225.164.144.0/20225.164.144.1 to 225.164.159.254225.164.159.2554,094
75225.164.160.0/20225.164.160.1 to 225.164.175.254225.164.175.2554,094
76225.164.176.0/20225.164.176.1 to 225.164.191.254225.164.191.2554,094
77225.164.192.0/20225.164.192.1 to 225.164.207.254225.164.207.2554,094
78225.164.208.0/20225.164.208.1 to 225.164.223.254225.164.223.2554,094
79225.164.224.0/20225.164.224.1 to 225.164.239.254225.164.239.2554,094
80225.164.240.0/20225.164.240.1 to 225.164.255.254225.164.255.2554,094
81225.165.0.0/20225.165.0.1 to 225.165.15.254225.165.15.2554,094
82225.165.16.0/20225.165.16.1 to 225.165.31.254225.165.31.2554,094
83225.165.32.0/20225.165.32.1 to 225.165.47.254225.165.47.2554,094
84225.165.48.0/20225.165.48.1 to 225.165.63.254225.165.63.2554,094
85225.165.64.0/20225.165.64.1 to 225.165.79.254225.165.79.2554,094
86225.165.80.0/20225.165.80.1 to 225.165.95.254225.165.95.2554,094
87225.165.96.0/20225.165.96.1 to 225.165.111.254225.165.111.2554,094
88225.165.112.0/20225.165.112.1 to 225.165.127.254225.165.127.2554,094
89225.165.128.0/20225.165.128.1 to 225.165.143.254225.165.143.2554,094
90225.165.144.0/20225.165.144.1 to 225.165.159.254225.165.159.2554,094
91225.165.160.0/20225.165.160.1 to 225.165.175.254225.165.175.2554,094
92225.165.176.0/20225.165.176.1 to 225.165.191.254225.165.191.2554,094
93225.165.192.0/20225.165.192.1 to 225.165.207.254225.165.207.2554,094
94225.165.208.0/20225.165.208.1 to 225.165.223.254225.165.223.2554,094
95225.165.224.0/20225.165.224.1 to 225.165.239.254225.165.239.2554,094
96225.165.240.0/20225.165.240.1 to 225.165.255.254225.165.255.2554,094
97225.166.0.0/20225.166.0.1 to 225.166.15.254225.166.15.2554,094
98225.166.16.0/20225.166.16.1 to 225.166.31.254225.166.31.2554,094
99225.166.32.0/20225.166.32.1 to 225.166.47.254225.166.47.2554,094
100225.166.48.0/20225.166.48.1 to 225.166.63.254225.166.63.2554,094
101225.166.64.0/20225.166.64.1 to 225.166.79.254225.166.79.2554,094
102225.166.80.0/20225.166.80.1 to 225.166.95.254225.166.95.2554,094
103225.166.96.0/20225.166.96.1 to 225.166.111.254225.166.111.2554,094
104225.166.112.0/20225.166.112.1 to 225.166.127.254225.166.127.2554,094
105225.166.128.0/20225.166.128.1 to 225.166.143.254225.166.143.2554,094
106225.166.144.0/20225.166.144.1 to 225.166.159.254225.166.159.2554,094
107225.166.160.0/20225.166.160.1 to 225.166.175.254225.166.175.2554,094
108225.166.176.0/20225.166.176.1 to 225.166.191.254225.166.191.2554,094
109225.166.192.0/20225.166.192.1 to 225.166.207.254225.166.207.2554,094
110225.166.208.0/20225.166.208.1 to 225.166.223.254225.166.223.2554,094
111225.166.224.0/20225.166.224.1 to 225.166.239.254225.166.239.2554,094
112225.166.240.0/20225.166.240.1 to 225.166.255.254225.166.255.2554,094
113225.167.0.0/20225.167.0.1 to 225.167.15.254225.167.15.2554,094
114225.167.16.0/20225.167.16.1 to 225.167.31.254225.167.31.2554,094
115225.167.32.0/20225.167.32.1 to 225.167.47.254225.167.47.2554,094
116225.167.48.0/20225.167.48.1 to 225.167.63.254225.167.63.2554,094
117225.167.64.0/20225.167.64.1 to 225.167.79.254225.167.79.2554,094
118225.167.80.0/20225.167.80.1 to 225.167.95.254225.167.95.2554,094
119225.167.96.0/20225.167.96.1 to 225.167.111.254225.167.111.2554,094
120225.167.112.0/20225.167.112.1 to 225.167.127.254225.167.127.2554,094
121225.167.128.0/20225.167.128.1 to 225.167.143.254225.167.143.2554,094
122225.167.144.0/20225.167.144.1 to 225.167.159.254225.167.159.2554,094
123225.167.160.0/20225.167.160.1 to 225.167.175.254225.167.175.2554,094
124225.167.176.0/20225.167.176.1 to 225.167.191.254225.167.191.2554,094
125225.167.192.0/20225.167.192.1 to 225.167.207.254225.167.207.2554,094
126225.167.208.0/20225.167.208.1 to 225.167.223.254225.167.223.2554,094
127225.167.224.0/20225.167.224.1 to 225.167.239.254225.167.239.2554,094
128225.167.240.0/20225.167.240.1 to 225.167.255.254225.167.255.2554,094
129225.168.0.0/20225.168.0.1 to 225.168.15.254225.168.15.2554,094
130225.168.16.0/20225.168.16.1 to 225.168.31.254225.168.31.2554,094
131225.168.32.0/20225.168.32.1 to 225.168.47.254225.168.47.2554,094
132225.168.48.0/20225.168.48.1 to 225.168.63.254225.168.63.2554,094
133225.168.64.0/20225.168.64.1 to 225.168.79.254225.168.79.2554,094
134225.168.80.0/20225.168.80.1 to 225.168.95.254225.168.95.2554,094
135225.168.96.0/20225.168.96.1 to 225.168.111.254225.168.111.2554,094
136225.168.112.0/20225.168.112.1 to 225.168.127.254225.168.127.2554,094
137225.168.128.0/20225.168.128.1 to 225.168.143.254225.168.143.2554,094
138225.168.144.0/20225.168.144.1 to 225.168.159.254225.168.159.2554,094
139225.168.160.0/20225.168.160.1 to 225.168.175.254225.168.175.2554,094
140225.168.176.0/20225.168.176.1 to 225.168.191.254225.168.191.2554,094
141225.168.192.0/20225.168.192.1 to 225.168.207.254225.168.207.2554,094
142225.168.208.0/20225.168.208.1 to 225.168.223.254225.168.223.2554,094
143225.168.224.0/20225.168.224.1 to 225.168.239.254225.168.239.2554,094
144225.168.240.0/20225.168.240.1 to 225.168.255.254225.168.255.2554,094
145225.169.0.0/20225.169.0.1 to 225.169.15.254225.169.15.2554,094
146225.169.16.0/20225.169.16.1 to 225.169.31.254225.169.31.2554,094
147225.169.32.0/20225.169.32.1 to 225.169.47.254225.169.47.2554,094
148225.169.48.0/20225.169.48.1 to 225.169.63.254225.169.63.2554,094
149225.169.64.0/20225.169.64.1 to 225.169.79.254225.169.79.2554,094
150225.169.80.0/20225.169.80.1 to 225.169.95.254225.169.95.2554,094
151225.169.96.0/20225.169.96.1 to 225.169.111.254225.169.111.2554,094
152225.169.112.0/20225.169.112.1 to 225.169.127.254225.169.127.2554,094
153225.169.128.0/20225.169.128.1 to 225.169.143.254225.169.143.2554,094
154225.169.144.0/20225.169.144.1 to 225.169.159.254225.169.159.2554,094
155225.169.160.0/20225.169.160.1 to 225.169.175.254225.169.175.2554,094
156225.169.176.0/20225.169.176.1 to 225.169.191.254225.169.191.2554,094
157225.169.192.0/20225.169.192.1 to 225.169.207.254225.169.207.2554,094
158225.169.208.0/20225.169.208.1 to 225.169.223.254225.169.223.2554,094
159225.169.224.0/20225.169.224.1 to 225.169.239.254225.169.239.2554,094
160225.169.240.0/20225.169.240.1 to 225.169.255.254225.169.255.2554,094
161225.170.0.0/20225.170.0.1 to 225.170.15.254225.170.15.2554,094
162225.170.16.0/20225.170.16.1 to 225.170.31.254225.170.31.2554,094
163225.170.32.0/20225.170.32.1 to 225.170.47.254225.170.47.2554,094
164225.170.48.0/20225.170.48.1 to 225.170.63.254225.170.63.2554,094
165225.170.64.0/20225.170.64.1 to 225.170.79.254225.170.79.2554,094
166225.170.80.0/20225.170.80.1 to 225.170.95.254225.170.95.2554,094
167225.170.96.0/20225.170.96.1 to 225.170.111.254225.170.111.2554,094
168225.170.112.0/20225.170.112.1 to 225.170.127.254225.170.127.2554,094
169225.170.128.0/20225.170.128.1 to 225.170.143.254225.170.143.2554,094
170225.170.144.0/20225.170.144.1 to 225.170.159.254225.170.159.2554,094
171225.170.160.0/20225.170.160.1 to 225.170.175.254225.170.175.2554,094
172225.170.176.0/20225.170.176.1 to 225.170.191.254225.170.191.2554,094
173225.170.192.0/20225.170.192.1 to 225.170.207.254225.170.207.2554,094
174225.170.208.0/20225.170.208.1 to 225.170.223.254225.170.223.2554,094
175225.170.224.0/20225.170.224.1 to 225.170.239.254225.170.239.2554,094
176225.170.240.0/20225.170.240.1 to 225.170.255.254225.170.255.2554,094
177225.171.0.0/20225.171.0.1 to 225.171.15.254225.171.15.2554,094
178225.171.16.0/20225.171.16.1 to 225.171.31.254225.171.31.2554,094
179225.171.32.0/20225.171.32.1 to 225.171.47.254225.171.47.2554,094
180225.171.48.0/20225.171.48.1 to 225.171.63.254225.171.63.2554,094
181225.171.64.0/20225.171.64.1 to 225.171.79.254225.171.79.2554,094
182225.171.80.0/20225.171.80.1 to 225.171.95.254225.171.95.2554,094
183225.171.96.0/20225.171.96.1 to 225.171.111.254225.171.111.2554,094
184225.171.112.0/20225.171.112.1 to 225.171.127.254225.171.127.2554,094
185225.171.128.0/20225.171.128.1 to 225.171.143.254225.171.143.2554,094
186225.171.144.0/20225.171.144.1 to 225.171.159.254225.171.159.2554,094
187225.171.160.0/20225.171.160.1 to 225.171.175.254225.171.175.2554,094
188225.171.176.0/20225.171.176.1 to 225.171.191.254225.171.191.2554,094
189225.171.192.0/20225.171.192.1 to 225.171.207.254225.171.207.2554,094
190225.171.208.0/20225.171.208.1 to 225.171.223.254225.171.223.2554,094
191225.171.224.0/20225.171.224.1 to 225.171.239.254225.171.239.2554,094
192225.171.240.0/20225.171.240.1 to 225.171.255.254225.171.255.2554,094
193225.172.0.0/20225.172.0.1 to 225.172.15.254225.172.15.2554,094
194225.172.16.0/20225.172.16.1 to 225.172.31.254225.172.31.2554,094
195225.172.32.0/20225.172.32.1 to 225.172.47.254225.172.47.2554,094
196225.172.48.0/20225.172.48.1 to 225.172.63.254225.172.63.2554,094
197225.172.64.0/20225.172.64.1 to 225.172.79.254225.172.79.2554,094
198225.172.80.0/20225.172.80.1 to 225.172.95.254225.172.95.2554,094
199225.172.96.0/20225.172.96.1 to 225.172.111.254225.172.111.2554,094
200225.172.112.0/20225.172.112.1 to 225.172.127.254225.172.127.2554,094
201225.172.128.0/20225.172.128.1 to 225.172.143.254225.172.143.2554,094
202225.172.144.0/20225.172.144.1 to 225.172.159.254225.172.159.2554,094
203225.172.160.0/20225.172.160.1 to 225.172.175.254225.172.175.2554,094
204225.172.176.0/20225.172.176.1 to 225.172.191.254225.172.191.2554,094
205225.172.192.0/20225.172.192.1 to 225.172.207.254225.172.207.2554,094
206225.172.208.0/20225.172.208.1 to 225.172.223.254225.172.223.2554,094
207225.172.224.0/20225.172.224.1 to 225.172.239.254225.172.239.2554,094
208225.172.240.0/20225.172.240.1 to 225.172.255.254225.172.255.2554,094
209225.173.0.0/20225.173.0.1 to 225.173.15.254225.173.15.2554,094
210225.173.16.0/20225.173.16.1 to 225.173.31.254225.173.31.2554,094
211225.173.32.0/20225.173.32.1 to 225.173.47.254225.173.47.2554,094
212225.173.48.0/20225.173.48.1 to 225.173.63.254225.173.63.2554,094
213225.173.64.0/20225.173.64.1 to 225.173.79.254225.173.79.2554,094
214225.173.80.0/20225.173.80.1 to 225.173.95.254225.173.95.2554,094
215225.173.96.0/20225.173.96.1 to 225.173.111.254225.173.111.2554,094
216225.173.112.0/20225.173.112.1 to 225.173.127.254225.173.127.2554,094
217225.173.128.0/20225.173.128.1 to 225.173.143.254225.173.143.2554,094
218225.173.144.0/20225.173.144.1 to 225.173.159.254225.173.159.2554,094
219225.173.160.0/20225.173.160.1 to 225.173.175.254225.173.175.2554,094
220225.173.176.0/20225.173.176.1 to 225.173.191.254225.173.191.2554,094
221225.173.192.0/20225.173.192.1 to 225.173.207.254225.173.207.2554,094
222225.173.208.0/20225.173.208.1 to 225.173.223.254225.173.223.2554,094
223225.173.224.0/20225.173.224.1 to 225.173.239.254225.173.239.2554,094
224225.173.240.0/20225.173.240.1 to 225.173.255.254225.173.255.2554,094
225225.174.0.0/20225.174.0.1 to 225.174.15.254225.174.15.2554,094
226225.174.16.0/20225.174.16.1 to 225.174.31.254225.174.31.2554,094
227225.174.32.0/20225.174.32.1 to 225.174.47.254225.174.47.2554,094
228225.174.48.0/20225.174.48.1 to 225.174.63.254225.174.63.2554,094
229225.174.64.0/20225.174.64.1 to 225.174.79.254225.174.79.2554,094
230225.174.80.0/20225.174.80.1 to 225.174.95.254225.174.95.2554,094
231225.174.96.0/20225.174.96.1 to 225.174.111.254225.174.111.2554,094
232225.174.112.0/20225.174.112.1 to 225.174.127.254225.174.127.2554,094
233225.174.128.0/20225.174.128.1 to 225.174.143.254225.174.143.2554,094
234225.174.144.0/20225.174.144.1 to 225.174.159.254225.174.159.2554,094
235225.174.160.0/20225.174.160.1 to 225.174.175.254225.174.175.2554,094
236225.174.176.0/20225.174.176.1 to 225.174.191.254225.174.191.2554,094
237225.174.192.0/20225.174.192.1 to 225.174.207.254225.174.207.2554,094
238225.174.208.0/20225.174.208.1 to 225.174.223.254225.174.223.2554,094
239225.174.224.0/20225.174.224.1 to 225.174.239.254225.174.239.2554,094
240225.174.240.0/20225.174.240.1 to 225.174.255.254225.174.255.2554,094
241225.175.0.0/20225.175.0.1 to 225.175.15.254225.175.15.2554,094
242225.175.16.0/20225.175.16.1 to 225.175.31.254225.175.31.2554,094
243225.175.32.0/20225.175.32.1 to 225.175.47.254225.175.47.2554,094
244225.175.48.0/20225.175.48.1 to 225.175.63.254225.175.63.2554,094
245225.175.64.0/20225.175.64.1 to 225.175.79.254225.175.79.2554,094
246225.175.80.0/20225.175.80.1 to 225.175.95.254225.175.95.2554,094
247225.175.96.0/20225.175.96.1 to 225.175.111.254225.175.111.2554,094
248225.175.112.0/20225.175.112.1 to 225.175.127.254225.175.127.2554,094
249225.175.128.0/20225.175.128.1 to 225.175.143.254225.175.143.2554,094
250225.175.144.0/20225.175.144.1 to 225.175.159.254225.175.159.2554,094
251225.175.160.0/20225.175.160.1 to 225.175.175.254225.175.175.2554,094
252225.175.176.0/20225.175.176.1 to 225.175.191.254225.175.191.2554,094
253225.175.192.0/20225.175.192.1 to 225.175.207.254225.175.207.2554,094
254225.175.208.0/20225.175.208.1 to 225.175.223.254225.175.223.2554,094
255225.175.224.0/20225.175.224.1 to 225.175.239.254225.175.239.2554,094
256225.175.240.0/20225.175.240.1 to 225.175.255.254225.175.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses